unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, ExtCtrls, TeeProcs, TeEngine, Chart, StdCtrls,
  TeeComma, ComCtrls;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    TeeCommander1: TTeeCommander;
    Panel1: TPanel;
    CBIncrement: TCheckBox;
    TBIncrement: TTrackBar;
    LIncrement: TLabel;
    LBase: TLabel;
    TBBase: TTrackBar;
    procedure FormCreate(Sender: TObject);
    procedure CBIncrementClick(Sender: TObject);
    procedure TBBaseChange(Sender: TObject);
    procedure TBIncrementChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Series, Math;

procedure TForm1.FormCreate(Sender: TObject);
var i: Integer;
begin
  Chart1.View3D:=false;
  Chart1.Legend.Visible:=false;

  with Chart1.AddSeries(TLineSeries) as TLineSeries do
  begin
    Pointer.Visible:=true;
    Pointer.HorizSize:=3;
    Pointer.VertSize:=3;
    for i:=1 to 22 do
      if i<13 then
        AddXY(i, 1/(log10(i+1)+1)*1000)
      else
        AddXY((i-10)*5, 1000/(log10(i+1)+1));
  end;

  CBIncrementClick(Self);
end;

procedure TForm1.CBIncrementClick(Sender: TObject);
begin
  Chart1.Axes.Bottom.Logarithmic:=CBIncrement.Checked;

  if Chart1.Axes.Bottom.Logarithmic then
  begin
    TBIncrement.Position:=1;
    TBIncrementChange(Self);
    TBBase.Position:=10;
    TBBaseChange(Self);
    TBBase.Enabled:=true;
    LBase.Enabled:=true;
  end
  else
  begin
    TBIncrement.Position:=10;
    TBIncrementChange(Self);
    TBBase.Enabled:=false;
    LBase.Enabled:=false;
  end;
end;

procedure TForm1.TBBaseChange(Sender: TObject);
begin
  Chart1.Axes.Bottom.LogarithmicBase:=TBBase.Position;
  LBase.Caption:='LogBase: ' + FormatFloat('#0.##', Chart1.Axes.Bottom.LogarithmicBase);
end;

procedure TForm1.TBIncrementChange(Sender: TObject);
begin
  Chart1.Axes.Bottom.Increment:=TBIncrement.Position;
  LIncrement.Caption:='Increment: ' + FormatFloat('#0.##', Chart1.Axes.Bottom.Increment);
end;

end.
